Subject: Re: Crown Vetch

From: [email-masked] (Anthony Brewster)
Date: Thu, 2 Mar 1995 21:21:50 GMT

In article <[email-masked]>,
Steven M. Begley <[email-masked]> wrote:
>Boy Oh Boy I didn't realise I was opening such a can of worms!
>Please see my reply to Chris Owens, and accept my appology to the group. I've 
>never experienced any of the (appearently) disasterous problems with vetch 
>that people have "voiced" since I first mentioned it.
>I can only speak from experience. Up until now, the only REALLy negative I 
>knew about vetch was that the stuff was ugly.... effective, but UGLY.
>Thanks all for "heading me off at the pass!"
>Steven

I missed the prior posts on this thread. Could someone please let me know
what the "problem" was? I thought hairy vetch was an excellent cover/green
manure crop. Lots of fixed N and very hardy in poor soils, cold climates etc.

Thanks..Anthony